%define version	4.3.90.2
Summary: 	Icon theme Rodent for the Xfce Desktop
Name: 		xfce-icon-theme
Version: 	%{version}
Release: 	%mkrel 3
License:	BSD
URL: 		http://ovh.dl.sourceforge.net/sourceforge/xffm/xfce4-icon-theme-%{version}.tar.bz
Source0: 	xfce4-icon-theme-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.2.0
BuildRequires:	xfce-panel-devel >= 4.2.0
BuildRequires:	perl-XML-Parser
BuildArch:	noarch
Obsoletes:	xfce-themes
Provides:	xfce-themes

%description
Icon theme Rodent for the Xfce Desktop Environment.

Included:
- about 500 icons in SVG format
- all the corresponding copies in PNG format
- almost all icons for a unified Gnome interface (excepted afaict the settings 
  manager, for the time being)
- icons for the Xfce panel version >= 4.1.6 (http://xfce.org)

 
%prep 
%setup -q -n xfce4-icon-theme-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
touch %buildroot%{_datadir}/icons/Rodent/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache Rodent

%postun
%clean_icon_cache Rodent

%files -n %name
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%dir %{_datadir}/icons/Rodent/
%{_datadir}/icons/Rodent/iconrc*
%{_datadir}/icons/Rodent/index.theme
%{_datadir}/icons/Rodent/*/
%{_datadir}/xfce4/mime/*
%{_libdir}/pkgconfig/xfce4-icon-theme-1.0.pc
%ghost %{_datadir}/icons/Rodent/icon-theme.cache

%changelog
* Fri Sep  1 2006 Götz Waschk <waschk@mandriva.org> 4.3.90.2-3mdv2007.0
- rebuild for new clean_icon_cache macro

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 4.3.90.2-2mdv2007.0
- fix index cache

* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Sun Apr 23 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 4.3.0.3-2mdk
- buildrequires perl-XML-Parser

* Mon Aug 29 2005 Marcel Pol <mpol@mandriva.org> 4.3.0.3-1mdk
- 4.3.0.3
- new URL
- obsolete and provide xfce-themes
- edited description a bit
- add pkgconfig file

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 1st Mdk release
 
